apiVersion: v1
kind: Namespace
metadata:
  name: test-flux
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: test-flux-http
  namespace: test-flux
  labels:
    app: test-flux-http
spec:
  replicas: 1
  selector:
    matchLabels:
      app: test-flux-http
  template:
    metadata:
      labels:
        app: test-flux-http
    spec:
      containers:
        - name: http-echo
          image: hashicorp/http-echo:1.0.0
          args:
            - "-text=ok from test-flux"
          ports:
            - containerPort: 5678
              name: http
---
apiVersion: v1
kind: Service
metadata:
  name: test-flux-http
  namespace: test-flux
spec:
  selector:
    app: test-flux-http
  ports:
    - name: http
      port: 80
      targetPort: 5678
